source: squid-ssl/trunk/fuentes/helpers/storeid_rewrite/file/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 35.9 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94@ENABLE_POD2MAN_DOC_TRUE@am__append_2 = storeid_file_rewrite.8
95@ENABLE_POD2MAN_DOC_TRUE@am__append_3 = storeid_file_rewrite.8
96subdir = helpers/storeid_rewrite/file
97ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
98am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
99        $(top_srcdir)/acinclude/init.m4 \
100        $(top_srcdir)/acinclude/squid-util.m4 \
101        $(top_srcdir)/acinclude/compiler-flags.m4 \
102        $(top_srcdir)/acinclude/os-deps.m4 \
103        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
104        $(top_srcdir)/acinclude/pkg.m4 \
105        $(top_srcdir)/acinclude/lib-checks.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
107        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
108        $(top_srcdir)/helpers/basic_auth/modules.m4 \
109        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/modules.m4 \
124        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
126        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/modules.m4 \
136        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
137        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
138        $(top_srcdir)/helpers/external_acl/modules.m4 \
139        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
143        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
144        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
146        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
149        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
150        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
151        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
154        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
155        $(top_srcdir)/configure.ac
156am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
157        $(ACLOCAL_M4)
158DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
159mkinstalldirs = $(install_sh) -d
160CONFIG_HEADER = $(top_builddir)/include/autoconf.h
161CONFIG_CLEAN_FILES =
162CONFIG_CLEAN_VPATH_FILES =
163am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
164am__vpath_adj = case $$p in \
165    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
166    *) f=$$p;; \
167  esac;
168am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
169am__install_max = 40
170am__nobase_strip_setup = \
171  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
172am__nobase_strip = \
173  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
174am__nobase_list = $(am__nobase_strip_setup); \
175  for p in $$list; do echo "$$p $$p"; done | \
176  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
177  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
178    if (++n[$$2] == $(am__install_max)) \
179      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
180    END { for (dir in files) print dir, files[dir] }'
181am__base_list = \
182  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
183  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
184am__uninstall_files_from_dir = { \
185  test -z "$$files" \
186    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
187    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
188         $(am__cd) "$$dir" && rm -f $$files; }; \
189  }
190am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
191SCRIPTS = $(libexec_SCRIPTS)
192AM_V_P = $(am__v_P_@AM_V@)
193am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
194am__v_P_0 = false
195am__v_P_1 = :
196AM_V_GEN = $(am__v_GEN_@AM_V@)
197am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
198am__v_GEN_0 = @echo "  GEN     " $@;
199am__v_GEN_1 =
200AM_V_at = $(am__v_at_@AM_V@)
201am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
202am__v_at_0 = @
203am__v_at_1 =
204SOURCES =
205DIST_SOURCES =
206am__can_run_installinfo = \
207  case $$AM_UPDATE_INFO_DIR in \
208    n|no|NO) false;; \
209    *) (install-info --version) >/dev/null 2>&1;; \
210  esac
211man8dir = $(mandir)/man8
212NROFF = nroff
213MANS = $(man_MANS)
214am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
215am__tty_colors_dummy = \
216  mgn= red= grn= lgn= blu= brg= std=; \
217  am__color_tests=no
218am__tty_colors = { \
219  $(am__tty_colors_dummy); \
220  if test "X$(AM_COLOR_TESTS)" = Xno; then \
221    am__color_tests=no; \
222  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
223    am__color_tests=yes; \
224  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
225    am__color_tests=yes; \
226  fi; \
227  if test $$am__color_tests = yes; then \
228    red='[0;31m'; \
229    grn='[0;32m'; \
230    lgn='[1;32m'; \
231    blu='[1;34m'; \
232    mgn='[0;35m'; \
233    brg='[1m'; \
234    std='[m'; \
235  fi; \
236}
237am__recheck_rx = ^[     ]*:recheck:[    ]*
238am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
239am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
240# A command that, given a newline-separated list of test names on the
241# standard input, print the name of the tests that are to be re-run
242# upon "make recheck".
243am__list_recheck_tests = $(AWK) '{ \
244  recheck = 1; \
245  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
246    { \
247      if (rc < 0) \
248        { \
249          if ((getline line2 < ($$0 ".log")) < 0) \
250            recheck = 0; \
251          break; \
252        } \
253      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
254        { \
255          recheck = 0; \
256          break; \
257        } \
258      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
259        { \
260          break; \
261        } \
262    }; \
263  if (recheck) \
264    print $$0; \
265  close ($$0 ".trs"); \
266  close ($$0 ".log"); \
267}'
268# A command that, given a newline-separated list of test names on the
269# standard input, create the global log from their .trs and .log files.
270am__create_global_log = $(AWK) ' \
271function fatal(msg) \
272{ \
273  print "fatal: making $@: " msg | "cat >&2"; \
274  exit 1; \
275} \
276function rst_section(header) \
277{ \
278  print header; \
279  len = length(header); \
280  for (i = 1; i <= len; i = i + 1) \
281    printf "="; \
282  printf "\n\n"; \
283} \
284{ \
285  copy_in_global_log = 1; \
286  global_test_result = "RUN"; \
287  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
288    { \
289      if (rc < 0) \
290         fatal("failed to read from " $$0 ".trs"); \
291      if (line ~ /$(am__global_test_result_rx)/) \
292        { \
293          sub("$(am__global_test_result_rx)", "", line); \
294          sub("[        ]*$$", "", line); \
295          global_test_result = line; \
296        } \
297      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
298        copy_in_global_log = 0; \
299    }; \
300  if (copy_in_global_log) \
301    { \
302      rst_section(global_test_result ": " $$0); \
303      while ((rc = (getline line < ($$0 ".log"))) != 0) \
304      { \
305        if (rc < 0) \
306          fatal("failed to read from " $$0 ".log"); \
307        print line; \
308      }; \
309      printf "\n"; \
310    }; \
311  close ($$0 ".trs"); \
312  close ($$0 ".log"); \
313}'
314# Restructured Text title.
315am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
316# Solaris 10 'make', and several other traditional 'make' implementations,
317# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
318# by disabling -e (using the XSI extension "set +e") if it's set.
319am__sh_e_setup = case $$- in *e*) set +e;; esac
320# Default flags passed to test drivers.
321am__common_driver_flags = \
322  --color-tests "$$am__color_tests" \
323  --enable-hard-errors "$$am__enable_hard_errors" \
324  --expect-failure "$$am__expect_failure"
325# To be inserted before the command running the test.  Creates the
326# directory for the log if needed.  Stores in $dir the directory
327# containing $f, in $tst the test, in $log the log.  Executes the
328# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
329# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
330# will run the test scripts (or their associated LOG_COMPILER, if
331# thy have one).
332am__check_pre = \
333$(am__sh_e_setup);                                      \
334$(am__vpath_adj_setup) $(am__vpath_adj)                 \
335$(am__tty_colors);                                      \
336srcdir=$(srcdir); export srcdir;                        \
337case "$@" in                                            \
338  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
339    *) am__odir=.;;                                     \
340esac;                                                   \
341test "x$$am__odir" = x"." || test -d "$$am__odir"       \
342  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
343if test -f "./$$f"; then dir=./;                        \
344elif test -f "$$f"; then dir=;                          \
345else dir="$(srcdir)/"; fi;                              \
346tst=$$dir$$f; log='$@';                                 \
347if test -n '$(DISABLE_HARD_ERRORS)'; then               \
348  am__enable_hard_errors=no;                            \
349else                                                    \
350  am__enable_hard_errors=yes;                           \
351fi;                                                     \
352case " $(XFAIL_TESTS) " in                              \
353  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
354    am__expect_failure=yes;;                            \
355  *)                                                    \
356    am__expect_failure=no;;                             \
357esac;                                                   \
358$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
359# A shell command to get the names of the tests scripts with any registered
360# extension removed (i.e., equivalently, the names of the test logs, with
361# the '.log' extension removed).  The result is saved in the shell variable
362# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
363# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
364# since that might cause problem with VPATH rewrites for suffix-less tests.
365# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
366am__set_TESTS_bases = \
367  bases='$(TEST_LOGS)'; \
368  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
369  bases=`echo $$bases`
370RECHECK_LOGS = $(TEST_LOGS)
371AM_RECURSIVE_TARGETS = check recheck
372TEST_SUITE_LOG = test-suite.log
373TEST_EXTENSIONS = @EXEEXT@ .test
374am__test_logs1 = $(TESTS:=.log)
375am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
376TEST_LOGS = $(am__test_logs2:.test.log=.log)
377TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
378TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
379        $(TEST_LOG_FLAGS)
380am__set_b = \
381  case '$@' in \
382    */*) \
383      case '$*' in \
384        */*) b='$*';; \
385          *) b=`echo '$@' | sed 's/\.log$$//'`; \
386       esac;; \
387    *) \
388      b='$*';; \
389  esac
390am__DIST_COMMON = $(srcdir)/Makefile.in \
391        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
392DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
393ACLOCAL = @ACLOCAL@
394ADAPTATION_LIBS = @ADAPTATION_LIBS@
395ALLOCA = @ALLOCA@
396AMTAR = @AMTAR@
397AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
398AR = @AR@
399ARGZ_H = @ARGZ_H@
400AR_R = @AR_R@
401AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
402AUTH_MODULES = @AUTH_MODULES@
403AUTOCONF = @AUTOCONF@
404AUTOHEADER = @AUTOHEADER@
405AUTOMAKE = @AUTOMAKE@
406AWK = @AWK@
407BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
408BUILDCXX = @BUILDCXX@
409BUILDCXXFLAGS = @BUILDCXXFLAGS@
410BZR = @BZR@
411CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
412CC = @CC@
413CCDEPMODE = @CCDEPMODE@
414CFLAGS = @CFLAGS@
415CGIEXT = @CGIEXT@
416CHMOD = @CHMOD@
417CPP = @CPP@
418CPPFLAGS = @CPPFLAGS@
419CPPUNITCONFIG = @CPPUNITCONFIG@
420CRYPTLIB = @CRYPTLIB@
421CXX = @CXX@
422CXXCPP = @CXXCPP@
423CXXDEPMODE = @CXXDEPMODE@
424CXXFLAGS = @CXXFLAGS@
425CYGPATH_W = @CYGPATH_W@
426DEFAULT_HOSTS = @DEFAULT_HOSTS@
427DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
428DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
429DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
430DEFS = @DEFS@
431DEPDIR = @DEPDIR@
432DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
433DISK_LIBS = @DISK_LIBS@
434DISK_LINKOBJS = @DISK_LINKOBJS@
435DISK_MODULES = @DISK_MODULES@
436DISK_OS_LIBS = @DISK_OS_LIBS@
437DISK_PROGRAMS = @DISK_PROGRAMS@
438DLLTOOL = @DLLTOOL@
439DSYMUTIL = @DSYMUTIL@
440DUMPBIN = @DUMPBIN@
441ECAP_LIBS = @ECAP_LIBS@
442ECHO_C = @ECHO_C@
443ECHO_N = @ECHO_N@
444ECHO_T = @ECHO_T@
445EGREP = @EGREP@
446EPOLL_LIBS = @EPOLL_LIBS@
447EUILIB = @EUILIB@
448EXEEXT = @EXEEXT@
449EXPATLIB = @EXPATLIB@
450EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
451EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
452EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
453FALSE = @FALSE@
454FGREP = @FGREP@
455GREP = @GREP@
456HAVE_CXX11 = @HAVE_CXX11@
457ICAP_LIBS = @ICAP_LIBS@
458INCLTDL = @INCLTDL@
459INSTALL = @INSTALL@
460INSTALL_DATA = @INSTALL_DATA@
461INSTALL_PROGRAM = @INSTALL_PROGRAM@
462INSTALL_SCRIPT = @INSTALL_SCRIPT@
463INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
464KRB5INCS = @KRB5INCS@
465KRB5LIBS = @KRB5LIBS@
466LBERLIB = @LBERLIB@
467LD = @LD@
468LDAPLIB = @LDAPLIB@
469LDFLAGS = @LDFLAGS@
470LIBADD_DL = @LIBADD_DL@
471LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
472LIBADD_DLOPEN = @LIBADD_DLOPEN@
473LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
474LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
475LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
476LIBLTDL = @LIBLTDL@
477LIBOBJS = @LIBOBJS@
478LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
479LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
480LIBS = @LIBS@
481LIBSASL = @LIBSASL@
482LIBTOOL = @LIBTOOL@
483LIB_DB = @LIB_DB@
484LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
485LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
486LINUXDOC = @LINUXDOC@
487LIPO = @LIPO@
488LN = @LN@
489LN_S = @LN_S@
490LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
491LTDLDEPS = @LTDLDEPS@
492LTDLINCL = @LTDLINCL@
493LTDLOPEN = @LTDLOPEN@
494LTLIBOBJS = @LTLIBOBJS@
495LT_CONFIG_H = @LT_CONFIG_H@
496LT_DLLOADERS = @LT_DLLOADERS@
497LT_DLPREOPEN = @LT_DLPREOPEN@
498MAINT = @MAINT@
499MAKEINFO = @MAKEINFO@
500MANIFEST_TOOL = @MANIFEST_TOOL@
501MINGW_LIBS = @MINGW_LIBS@
502MKDIR = @MKDIR@
503MKDIR_P = @MKDIR_P@
504MV = @MV@
505NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
506NETTLELIB = @NETTLELIB@
507NM = @NM@
508NMEDIT = @NMEDIT@
509NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
510OBJDUMP = @OBJDUMP@
511OBJEXT = @OBJEXT@
512OTOOL = @OTOOL@
513OTOOL64 = @OTOOL64@
514PACKAGE = @PACKAGE@
515PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
516PACKAGE_NAME = @PACKAGE_NAME@
517PACKAGE_STRING = @PACKAGE_STRING@
518PACKAGE_TARNAME = @PACKAGE_TARNAME@
519PACKAGE_URL = @PACKAGE_URL@
520PACKAGE_VERSION = @PACKAGE_VERSION@
521PATH_SEPARATOR = @PATH_SEPARATOR@
522PERL = @PERL@
523PKG_CONFIG = @PKG_CONFIG@
524PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
525PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
526PO2HTML = @PO2HTML@
527PO2TEXT = @PO2TEXT@
528POD2MAN = @POD2MAN@
529RANLIB = @RANLIB@
530REGEXLIB = @REGEXLIB@
531REPL_LIBS = @REPL_LIBS@
532REPL_OBJS = @REPL_OBJS@
533REPL_POLICIES = @REPL_POLICIES@
534RM = @RM@
535SED = @SED@
536SET_MAKE = @SET_MAKE@
537SH = @SH@
538SHELL = @SHELL@
539SMBCLIENT = @SMBCLIENT@
540SNMPLIB = @SNMPLIB@
541SQUID_CFLAGS = @SQUID_CFLAGS@
542SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
543SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
544SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
545SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
546SSLLIB = @SSLLIB@
547STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
548STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
549STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
550STORE_TESTS = @STORE_TESTS@
551STRIP = @STRIP@
552TR = @TR@
553TRUE = @TRUE@
554URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
555VERSION = @VERSION@
556WBINFO = @WBINFO@
557WIN32_PSAPI = @WIN32_PSAPI@
558XMLLIB = @XMLLIB@
559XTRA_LIBS = @XTRA_LIBS@
560XTRA_OBJS = @XTRA_OBJS@
561abs_builddir = @abs_builddir@
562abs_srcdir = @abs_srcdir@
563abs_top_builddir = @abs_top_builddir@
564abs_top_srcdir = @abs_top_srcdir@
565ac_ct_AR = @ac_ct_AR@
566ac_ct_CC = @ac_ct_CC@
567ac_ct_CXX = @ac_ct_CXX@
568ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
569am__include = @am__include@
570am__leading_dot = @am__leading_dot@
571am__quote = @am__quote@
572am__tar = @am__tar@
573am__untar = @am__untar@
574bindir = @bindir@
575build = @build@
576build_alias = @build_alias@
577build_cpu = @build_cpu@
578build_os = @build_os@
579build_vendor = @build_vendor@
580builddir = @builddir@
581datadir = @datadir@
582datarootdir = @datarootdir@
583docdir = @docdir@
584dvidir = @dvidir@
585exec_prefix = @exec_prefix@
586host = @host@
587host_alias = @host_alias@
588host_cpu = @host_cpu@
589host_os = @host_os@
590host_vendor = @host_vendor@
591htmldir = @htmldir@
592includedir = @includedir@
593infodir = @infodir@
594install_sh = @install_sh@
595krb5_config = @krb5_config@
596libdir = @libdir@
597libexecdir = @libexecdir@
598localedir = @localedir@
599localstatedir = @localstatedir@
600ltdl_LIBOBJS = @ltdl_LIBOBJS@
601ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
602mandir = @mandir@
603mkdir_p = @mkdir_p@
604oldincludedir = @oldincludedir@
605pdfdir = @pdfdir@
606prefix = @prefix@
607program_transform_name = @program_transform_name@
608psdir = @psdir@
609runstatedir = @runstatedir@
610sbindir = @sbindir@
611sharedstatedir = @sharedstatedir@
612srcdir = @srcdir@
613subdirs = @subdirs@
614sys_symbol_underscore = @sys_symbol_underscore@
615sysconfdir = @sysconfdir@
616target_alias = @target_alias@
617top_build_prefix = @top_build_prefix@
618top_builddir = @top_builddir@
619top_srcdir = @top_srcdir@
620AM_CFLAGS = $(SQUID_CFLAGS)
621AM_CXXFLAGS = $(SQUID_CXXFLAGS)
622CLEANFILES = storeid_file_rewrite $(am__append_2)
623AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
624        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
625        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
626        $(am__append_1)
627@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
628@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
629COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
630subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
631libexec_SCRIPTS = storeid_file_rewrite
632EXTRA_DIST = storeid_file_rewrite.pl.in required.m4 $(am__append_3)
633@ENABLE_POD2MAN_DOC_TRUE@man_MANS = storeid_file_rewrite.8
634all: all-am
635
636.SUFFIXES:
637.SUFFIXES: .log .test .test$(EXEEXT) .trs
638$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
639        @for dep in $?; do \
640          case '$(am__configure_deps)' in \
641            *$$dep*) \
642              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
643                && { if test -f $@; then exit 0; else break; fi; }; \
644              exit 1;; \
645          esac; \
646        done; \
647        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/storeid_rewrite/file/Makefile'; \
648        $(am__cd) $(top_srcdir) && \
649          $(AUTOMAKE) --foreign helpers/storeid_rewrite/file/Makefile
650Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
651        @case '$?' in \
652          *config.status*) \
653            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
654          *) \
655            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
656            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
657        esac;
658$(top_srcdir)/src/Common.am $(am__empty):
659
660$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
661        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
662
663$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
664        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
665$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
666        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
667$(am__aclocal_m4_deps):
668
669clean-checkPROGRAMS:
670        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
671        echo " rm -f" $$list; \
672        rm -f $$list || exit $$?; \
673        test -n "$(EXEEXT)" || exit 0; \
674        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
675        echo " rm -f" $$list; \
676        rm -f $$list
677install-libexecSCRIPTS: $(libexec_SCRIPTS)
678        @$(NORMAL_INSTALL)
679        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || list=; \
680        if test -n "$$list"; then \
681          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
682          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
683        fi; \
684        for p in $$list; do \
685          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
686          if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
687        done | \
688        sed -e 'p;s,.*/,,;n' \
689            -e 'h;s|.*|.|' \
690            -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
691        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
692          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
693            if ($$2 == $$4) { files[d] = files[d] " " $$1; \
694              if (++n[d] == $(am__install_max)) { \
695                print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
696            else { print "f", d "/" $$4, $$1 } } \
697          END { for (d in files) print "f", d, files[d] }' | \
698        while read type dir files; do \
699             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
700             test -z "$$files" || { \
701               echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
702               $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
703             } \
704        ; done
705
706uninstall-libexecSCRIPTS:
707        @$(NORMAL_UNINSTALL)
708        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || exit 0; \
709        files=`for p in $$list; do echo "$$p"; done | \
710               sed -e 's,.*/,,;$(transform)'`; \
711        dir='$(DESTDIR)$(libexecdir)'; $(am__uninstall_files_from_dir)
712
713mostlyclean-libtool:
714        -rm -f *.lo
715
716clean-libtool:
717        -rm -rf .libs _libs
718install-man8: $(man_MANS)
719        @$(NORMAL_INSTALL)
720        @list1=''; \
721        list2='$(man_MANS)'; \
722        test -n "$(man8dir)" \
723          && test -n "`echo $$list1$$list2`" \
724          || exit 0; \
725        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
726        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
727        { for i in $$list1; do echo "$$i"; done;  \
728        if test -n "$$list2"; then \
729          for i in $$list2; do echo "$$i"; done \
730            | sed -n '/\.8[a-z]*$$/p'; \
731        fi; \
732        } | while read p; do \
733          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
734          echo "$$d$$p"; echo "$$p"; \
735        done | \
736        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
737              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
738        sed 'N;N;s,\n, ,g' | { \
739        list=; while read file base inst; do \
740          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
741            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
742            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
743          fi; \
744        done; \
745        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
746        while read files; do \
747          test -z "$$files" || { \
748            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
749            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
750        done; }
751
752uninstall-man8:
753        @$(NORMAL_UNINSTALL)
754        @list=''; test -n "$(man8dir)" || exit 0; \
755        files=`{ for i in $$list; do echo "$$i"; done; \
756        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
757          sed -n '/\.8[a-z]*$$/p'; \
758        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
759              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
760        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
761tags TAGS:
762
763ctags CTAGS:
764
765cscope cscopelist:
766
767
768# Recover from deleted '.trs' file; this should ensure that
769# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
770# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
771# to avoid problems with "make -n".
772.log.trs:
773        rm -f $< $@
774        $(MAKE) $(AM_MAKEFLAGS) $<
775
776# Leading 'am--fnord' is there to ensure the list of targets does not
777# expand to empty, as could happen e.g. with make check TESTS=''.
778am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
779am--force-recheck:
780        @:
781
782$(TEST_SUITE_LOG): $(TEST_LOGS)
783        @$(am__set_TESTS_bases); \
784        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
785        redo_bases=`for i in $$bases; do \
786                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
787                    done`; \
788        if test -n "$$redo_bases"; then \
789          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
790          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
791          if $(am__make_dryrun); then :; else \
792            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
793          fi; \
794        fi; \
795        if test -n "$$am__remaking_logs"; then \
796          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
797               "recursion detected" >&2; \
798        elif test -n "$$redo_logs"; then \
799          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
800        fi; \
801        if $(am__make_dryrun); then :; else \
802          st=0;  \
803          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
804          for i in $$redo_bases; do \
805            test -f $$i.trs && test -r $$i.trs \
806              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
807            test -f $$i.log && test -r $$i.log \
808              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
809          done; \
810          test $$st -eq 0 || exit 1; \
811        fi
812        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
813        ws='[   ]'; \
814        results=`for b in $$bases; do echo $$b.trs; done`; \
815        test -n "$$results" || results=/dev/null; \
816        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
817        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
818        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
819        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
820        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
821        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
822        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
823        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
824          success=true; \
825        else \
826          success=false; \
827        fi; \
828        br='==================='; br=$$br$$br$$br$$br; \
829        result_count () \
830        { \
831            if test x"$$1" = x"--maybe-color"; then \
832              maybe_colorize=yes; \
833            elif test x"$$1" = x"--no-color"; then \
834              maybe_colorize=no; \
835            else \
836              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
837            fi; \
838            shift; \
839            desc=$$1 count=$$2; \
840            if test $$maybe_colorize = yes && test $$count -gt 0; then \
841              color_start=$$3 color_end=$$std; \
842            else \
843              color_start= color_end=; \
844            fi; \
845            echo "$${color_start}# $$desc $$count$${color_end}"; \
846        }; \
847        create_testsuite_report () \
848        { \
849          result_count $$1 "TOTAL:" $$all   "$$brg"; \
850          result_count $$1 "PASS: " $$pass  "$$grn"; \
851          result_count $$1 "SKIP: " $$skip  "$$blu"; \
852          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
853          result_count $$1 "FAIL: " $$fail  "$$red"; \
854          result_count $$1 "XPASS:" $$xpass "$$red"; \
855          result_count $$1 "ERROR:" $$error "$$mgn"; \
856        }; \
857        {                                                               \
858          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
859            $(am__rst_title);                                           \
860          create_testsuite_report --no-color;                           \
861          echo;                                                         \
862          echo ".. contents:: :depth: 2";                               \
863          echo;                                                         \
864          for b in $$bases; do echo $$b; done                           \
865            | $(am__create_global_log);                                 \
866        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
867        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
868        if $$success; then                                              \
869          col="$$grn";                                                  \
870         else                                                           \
871          col="$$red";                                                  \
872          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
873        fi;                                                             \
874        echo "$${col}$$br$${std}";                                      \
875        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
876        echo "$${col}$$br$${std}";                                      \
877        create_testsuite_report --maybe-color;                          \
878        echo "$$col$$br$$std";                                          \
879        if $$success; then :; else                                      \
880          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
881          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
882            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
883          fi;                                                           \
884          echo "$$col$$br$$std";                                        \
885        fi;                                                             \
886        $$success || exit 1
887
888check-TESTS:
889        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
890        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
891        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
892        @set +e; $(am__set_TESTS_bases); \
893        log_list=`for i in $$bases; do echo $$i.log; done`; \
894        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
895        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
896        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
897        exit $$?;
898recheck: all $(check_PROGRAMS)
899        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
900        @set +e; $(am__set_TESTS_bases); \
901        bases=`for i in $$bases; do echo $$i; done \
902                 | $(am__list_recheck_tests)` || exit 1; \
903        log_list=`for i in $$bases; do echo $$i.log; done`; \
904        log_list=`echo $$log_list`; \
905        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
906                am__force_recheck=am--force-recheck \
907                TEST_LOGS="$$log_list"; \
908        exit $$?
909.test.log:
910        @p='$<'; \
911        $(am__set_b); \
912        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
913        --log-file $$b.log --trs-file $$b.trs \
914        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
915        "$$tst" $(AM_TESTS_FD_REDIRECT)
916@am__EXEEXT_TRUE@.test$(EXEEXT).log:
917@am__EXEEXT_TRUE@       @p='$<'; \
918@am__EXEEXT_TRUE@       $(am__set_b); \
919@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
920@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
921@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
922@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
923
924distdir: $(DISTFILES)
925        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
926        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
927        list='$(DISTFILES)'; \
928          dist_files=`for file in $$list; do echo $$file; done | \
929          sed -e "s|^$$srcdirstrip/||;t" \
930              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
931        case $$dist_files in \
932          */*) $(MKDIR_P) `echo "$$dist_files" | \
933                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
934                           sort -u` ;; \
935        esac; \
936        for file in $$dist_files; do \
937          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
938          if test -d $$d/$$file; then \
939            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
940            if test -d "$(distdir)/$$file"; then \
941              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
942            fi; \
943            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
944              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
945              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
946            fi; \
947            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
948          else \
949            test -f "$(distdir)/$$file" \
950            || cp -p $$d/$$file "$(distdir)/$$file" \
951            || exit 1; \
952          fi; \
953        done
954check-am: all-am
955        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
956        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
957check: check-am
958all-am: Makefile $(SCRIPTS) $(MANS)
959installdirs:
960        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
961          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
962        done
963install: install-am
964install-exec: install-exec-am
965install-data: install-data-am
966uninstall: uninstall-am
967
968install-am: all-am
969        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
970
971installcheck: installcheck-am
972install-strip:
973        if test -z '$(STRIP)'; then \
974          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
975            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
976              install; \
977        else \
978          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
979            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
980            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
981        fi
982mostlyclean-generic:
983        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
984        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
985        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
986
987clean-generic:
988        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
989
990distclean-generic:
991        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
992        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
993
994maintainer-clean-generic:
995        @echo "This command is intended for maintainers to use"
996        @echo "it deletes files that may require special tools to rebuild."
997clean: clean-am
998
999clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1000        mostlyclean-am
1001
1002distclean: distclean-am
1003        -rm -f Makefile
1004distclean-am: clean-am distclean-generic
1005
1006dvi: dvi-am
1007
1008dvi-am:
1009
1010html: html-am
1011
1012html-am:
1013
1014info: info-am
1015
1016info-am:
1017
1018install-data-am: install-man
1019
1020install-dvi: install-dvi-am
1021
1022install-dvi-am:
1023
1024install-exec-am: install-libexecSCRIPTS
1025
1026install-html: install-html-am
1027
1028install-html-am:
1029
1030install-info: install-info-am
1031
1032install-info-am:
1033
1034install-man: install-man8
1035
1036install-pdf: install-pdf-am
1037
1038install-pdf-am:
1039
1040install-ps: install-ps-am
1041
1042install-ps-am:
1043
1044installcheck-am:
1045
1046maintainer-clean: maintainer-clean-am
1047        -rm -f Makefile
1048maintainer-clean-am: distclean-am maintainer-clean-generic
1049
1050mostlyclean: mostlyclean-am
1051
1052mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1053
1054pdf: pdf-am
1055
1056pdf-am:
1057
1058ps: ps-am
1059
1060ps-am:
1061
1062uninstall-am: uninstall-libexecSCRIPTS uninstall-man
1063
1064uninstall-man: uninstall-man8
1065
1066.MAKE: check-am install-am install-strip
1067
1068.PHONY: all all-am check check-TESTS check-am clean \
1069        clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1070        ctags-am distclean distclean-generic distclean-libtool distdir \
1071        dvi dvi-am html html-am info info-am install install-am \
1072        install-data install-data-am install-dvi install-dvi-am \
1073        install-exec install-exec-am install-html install-html-am \
1074        install-info install-info-am install-libexecSCRIPTS \
1075        install-man install-man8 install-pdf install-pdf-am install-ps \
1076        install-ps-am install-strip installcheck installcheck-am \
1077        installdirs maintainer-clean maintainer-clean-generic \
1078        mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
1079        ps ps-am recheck tags-am uninstall uninstall-am \
1080        uninstall-libexecSCRIPTS uninstall-man uninstall-man8
1081
1082.PRECIOUS: Makefile
1083
1084
1085$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1086
1087storeid_file_rewrite: storeid_file_rewrite.pl.in
1088        $(subst_perlshell)
1089
1090@ENABLE_POD2MAN_DOC_TRUE@storeid_file_rewrite.8: storeid_file_rewrite
1091@ENABLE_POD2MAN_DOC_TRUE@       pod2man --section=8 storeid_file_rewrite storeid_file_rewrite.8
1092
1093# Tell versions [3.59,3.63) of GNU make to not export all variables.
1094# Otherwise a system limit (for SysV at least) may be exceeded.
1095.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.